Phone Number
Verify phone
POST
/api/v1/users/phone/verifyConfirms the code sent by POST /phone/request.
Requires Authorization
Credential check
Body parameters
codestringrequired | The SMS verification code. |
localestring | en or fr. |
Request
curl --request POST \
--url https://api.swiftgoma.com/api/v1/users/phone/verify \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"code": "482913",
"locale": "fr"
}'200Example response
{
"success": true,
"data": {
"id": "3f2a1c9e-7b41-4e2a-9c31-8e6b2d4f10aa",
"name": "Aline Mapendo",
"role": "BUYER",
"email": "aline@example.com",
"isEmailVerified": true,
"phone": "243812345678",
"isPhoneVerified": true,
"preferredCurrency": "USD",
"avatarUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/avatars/aline.jpg",
"isBlocked": false,
"createdAt": "2026-01-14T10:32:00.000Z"
}
}